Module
Contents
Index 🔎︎

# Imp Operator

Vykoná logickú implikáciu dvoch výrazov.

## Syntax:

    Výsledok = Výraz1 Imp Výraz2

## Paremetre:

Výsledok: Číselná premenná, ktorá obsahuje výsledok implikácie.

Výraz1, Výraz2: Výrazy, ktoré chcete vyhodnotiť pomocou operátora Imp.

Ak použiješ operátor Imp v logických výrazoch, False je vrátené iba v prípade, ak je prvý výraz vyhodnotený ako True a druhý ako False.

Ak použiješ Imp operator v bitových výrazoch, bit je vo výsledku nenastavený, ak je korešpondujúci bit nastavený v prvom výraze a nenastavený v druhom.

## Príklad:

    Sub ExampleImp

    Dim A As Variant, B As Variant, C As Variant, D As Variant

    Dim vOut As Variant

        A = 10: B = 8: C = 6: D = Null

        vOut = A > B Imp B > C REM vracia -1

        vOut = B > A Imp B > C REM vracia -1

        vOut = A > B Imp B > D REM vracia 0

        vOut = (B > D Imp B > A) REM vracia -1

        vOut = B Imp A REM vracia -1

    End Sub